Quantcast

struts-tiles2-1.4.0-SNAPSHOT.jar

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

struts-tiles2-1.4.0-SNAPSHOT.jar

Venu Gopalan
Hello, 
Very urgent !!
This is regarding a project upgrade where I need to stick with Struts 1 and I need Tiles 2 as the Spring framework is getting upgraded.
if you have already built the struts-tiles2-1.4.0-SNAPSHOT. jar can you pls send the same to me? I also have a very different upgrade here. I need to upgrade a project to Spring 4.1.x, Hibernate 4.3.x quartz2.2. the project use struts 1.in the upgrade specification, they are not mentioning anything about Struts upgrade. As we use tiles 1, its all a mess. 
As we use the spring 4.1, now, we will need to upgrade the tiles1 to tiles2. I tried to checkout the SNAPSHOT project from apache svn (http://svn.apache.org/repos/ asf/struts/struts1/trunk). But 1.4.0-SNAPSHOT is not available in mvn store anymore. So I'm looking for a ready built struts-tiles2-1.4.0-SNAPSHOT. jar. Can anyone help me? This is very much needed.
Thank youVenugopalan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Antonio Petrelli-3
Hello Venu
The JARs probably are lost forever, however the best points to start could
be:
1. The trunk of the Struts 1.4 project:
https://github.com/apache/struts1/tree/trunk
WARNING! It was never released, so it may bite.
In this project you can find the Tiles 2 (2.0.5 AFAIK) integration source
code:
https://github.com/apache/struts1/tree/trunk/tiles2
If you are not using the snapshot of Struts 1.4, however, most probably it
won't compile using, for example, Struts 1.3, but give it a try.

2. An interesting project could be this:
https://github.com/kawasima/struts1-forever

They apply security fixes to Struts 1 even if it is unsupported officially.
The "trunk" branch contains the 1.4 snapshot, however I don't know if it is
maintained, you should ask.

This is the best that I can do.

HTH
Antonio

2017-03-13 15:29 GMT+01:00 Venu Gopalan <[hidden email]>:

> Hello,
> Very urgent !!
> This is regarding a project upgrade where I need to stick with Struts 1
> and I need Tiles 2 as the Spring framework is getting upgraded.
> if you have already built the struts-tiles2-1.4.0-SNAPSHOT. jar can you
> pls send the same to me? I also have a very different upgrade here. I need
> to upgrade a project to Spring 4.1.x, Hibernate 4.3.x quartz2.2. the
> project use struts 1.in the upgrade specification, they are not
> mentioning anything about Struts upgrade. As we use tiles 1, its all a
> mess.
> As we use the spring 4.1, now, we will need to upgrade the tiles1 to
> tiles2. I tried to checkout the SNAPSHOT project from apache svn (
> http://svn.apache.org/repos/ asf/struts/struts1/trunk). But
> 1.4.0-SNAPSHOT is not available in mvn store anymore. So I'm looking for a
> ready built struts-tiles2-1.4.0-SNAPSHOT. jar. Can anyone help me? This is
> very much needed.
> Thank youVenugopalan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Venu Gopalan
Thank you Antonio. Thank you for your time and feedback. I've tried to get the trunk code, but me and my group is unable to build it due to library issues(not available). In one forum i found that the struts-tiles2-1.4.0-SNAPSHOT.jar is present in the link  http://people.apache.org/~pbenedict/struts-osgi/org/apache/struts/struts-tiles2/1.4.0-SNAPSHOT/ location, but it give a not found error ! Will the jar be available with any of the users or developers? I had sent some requests to some of the people who solved their issues with this jar as well. But you know all these happened 5 or 10 years ago ! :)
Venu

    On Monday, 13 March 2017 1:00 PM, Antonio Petrelli <[hidden email]> wrote:
 

 Hello Venu
The JARs probably are lost forever, however the best points to start could
be:
1. The trunk of the Struts 1.4 project:
https://github.com/apache/struts1/tree/trunk
WARNING! It was never released, so it may bite.
In this project you can find the Tiles 2 (2.0.5 AFAIK) integration source
code:
https://github.com/apache/struts1/tree/trunk/tiles2
If you are not using the snapshot of Struts 1.4, however, most probably it
won't compile using, for example, Struts 1.3, but give it a try.

2. An interesting project could be this:
https://github.com/kawasima/struts1-forever

They apply security fixes to Struts 1 even if it is unsupported officially.
The "trunk" branch contains the 1.4 snapshot, however I don't know if it is
maintained, you should ask.

This is the best that I can do.

HTH
Antonio

2017-03-13 15:29 GMT+01:00 Venu Gopalan <[hidden email]>:

> Hello,
> Very urgent !!
> This is regarding a project upgrade where I need to stick with Struts 1
> and I need Tiles 2 as the Spring framework is getting upgraded.
> if you have already built the struts-tiles2-1.4.0-SNAPSHOT. jar can you
> pls send the same to me? I also have a very different upgrade here. I need
> to upgrade a project to Spring 4.1.x, Hibernate 4.3.x quartz2.2. the
> project use struts 1.in the upgrade specification, they are not
> mentioning anything about Struts upgrade. As we use tiles 1, its all a
> mess.
> As we use the spring 4.1, now, we will need to upgrade the tiles1 to
> tiles2. I tried to checkout the SNAPSHOT project from apache svn (
> http://svn.apache.org/repos/ asf/struts/struts1/trunk). But
> 1.4.0-SNAPSHOT is not available in mvn store anymore. So I'm looking for a
> ready built struts-tiles2-1.4.0-SNAPSHOT. jar. Can anyone help me? This is
> very much needed.
> Thank youVenugopalan


   
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Antonio Petrelli-3
Did you try to build the *whole* Struts 1.4.0-SNAPSHOT trunk?
I remember that it worked at the time.

Antonio

2017-03-13 18:56 GMT+01:00 Venu Gopalan <[hidden email]>:

> Thank you Antonio. Thank you for your time and feedback. I've tried to get
> the trunk code, but me and my group is unable to build it due to library
> issues(not available). In one forum i found that the struts-tiles2-1.4.0-SNAPSHOT.jar is
> present in the link  http://people.apache.org/~pbenedict/struts-osgi/
> org/apache/struts/struts-tiles2/1.4.0-SNAPSHOT/ location, but it give a
> not found error ! Will the jar be available with any of the users or
> developers? I had sent some requests to some of the people who solved their
> issues with this jar as well. But you know all these happened 5 or 10 years
> ago ! :)
> Venu
>
>     On Monday, 13 March 2017 1:00 PM, Antonio Petrelli <
> [hidden email]> wrote:
>
>
>  Hello Venu
> The JARs probably are lost forever, however the best points to start could
> be:
> 1. The trunk of the Struts 1.4 project:
> https://github.com/apache/struts1/tree/trunk
> WARNING! It was never released, so it may bite.
> In this project you can find the Tiles 2 (2.0.5 AFAIK) integration source
> code:
> https://github.com/apache/struts1/tree/trunk/tiles2
> If you are not using the snapshot of Struts 1.4, however, most probably it
> won't compile using, for example, Struts 1.3, but give it a try.
>
> 2. An interesting project could be this:
> https://github.com/kawasima/struts1-forever
>
> They apply security fixes to Struts 1 even if it is unsupported officially.
> The "trunk" branch contains the 1.4 snapshot, however I don't know if it is
> maintained, you should ask.
>
> This is the best that I can do.
>
> HTH
> Antonio
>
> 2017-03-13 15:29 GMT+01:00 Venu Gopalan <[hidden email]>:
>
> > Hello,
> > Very urgent !!
> > This is regarding a project upgrade where I need to stick with Struts 1
> > and I need Tiles 2 as the Spring framework is getting upgraded.
> > if you have already built the struts-tiles2-1.4.0-SNAPSHOT. jar can you
> > pls send the same to me? I also have a very different upgrade here. I
> need
> > to upgrade a project to Spring 4.1.x, Hibernate 4.3.x quartz2.2. the
> > project use struts 1.in the upgrade specification, they are not
> > mentioning anything about Struts upgrade. As we use tiles 1, its all a
> > mess.
> > As we use the spring 4.1, now, we will need to upgrade the tiles1 to
> > tiles2. I tried to checkout the SNAPSHOT project from apache svn (
> > http://svn.apache.org/repos/ asf/struts/struts1/trunk). But
> > 1.4.0-SNAPSHOT is not available in mvn store anymore. So I'm looking for
> a
> > ready built struts-tiles2-1.4.0-SNAPSHOT. jar. Can anyone help me? This
> is
> > very much needed.
> > Thank youVenugopalan
>
>
>
>
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

MB-22
In reply to this post by Venu Gopalan
I got the "struts-core-1.3.8.jar" at least. I could look for "struts-extras-1.3.8.jar", "struts-taglib-1.3.8.jar" and "struts-tiles-1.3.8.jar" but it’s on a disk I haven’t seen in a while. It could be a dead one.

> 13 mars 2017 kl. 18:56 skrev Venu Gopalan <[hidden email]>:
>
> Thank you Antonio. Thank you for your time and feedback. I've tried to get the trunk code, but me and my group is unable to build it due to library issues(not available). In one forum i found that the struts-tiles2-1.4.0-SNAPSHOT.jar is present in the link  http://people.apache.org/~pbenedict/struts-osgi/org/apache/struts/struts-tiles2/1.4.0-SNAPSHOT/ location, but it give a not found error ! Will the jar be available with any of the users or developers? I had sent some requests to some of the people who solved their issues with this jar as well. But you know all these happened 5 or 10 years ago ! :)
> Venu
>
>    On Monday, 13 March 2017 1:00 PM, Antonio Petrelli <[hidden email]> wrote:
>
>
> Hello Venu
> The JARs probably are lost forever, however the best points to start could
> be:
> 1. The trunk of the Struts 1.4 project:
> https://github.com/apache/struts1/tree/trunk
> WARNING! It was never released, so it may bite.
> In this project you can find the Tiles 2 (2.0.5 AFAIK) integration source
> code:
> https://github.com/apache/struts1/tree/trunk/tiles2
> If you are not using the snapshot of Struts 1.4, however, most probably it
> won't compile using, for example, Struts 1.3, but give it a try.
>
> 2. An interesting project could be this:
> https://github.com/kawasima/struts1-forever
>
> They apply security fixes to Struts 1 even if it is unsupported officially.
> The "trunk" branch contains the 1.4 snapshot, however I don't know if it is
> maintained, you should ask.
>
> This is the best that I can do.
>
> HTH
> Antonio
>
> 2017-03-13 15:29 GMT+01:00 Venu Gopalan <[hidden email]>:
>
>> Hello,
>> Very urgent !!
>> This is regarding a project upgrade where I need to stick with Struts 1
>> and I need Tiles 2 as the Spring framework is getting upgraded.
>> if you have already built the struts-tiles2-1.4.0-SNAPSHOT. jar can you
>> pls send the same to me? I also have a very different upgrade here. I need
>> to upgrade a project to Spring 4.1.x, Hibernate 4.3.x quartz2.2. the
>> project use struts 1.in the upgrade specification, they are not
>> mentioning anything about Struts upgrade. As we use tiles 1, its all a
>> mess.
>> As we use the spring 4.1, now, we will need to upgrade the tiles1 to
>> tiles2. I tried to checkout the SNAPSHOT project from apache svn (
>> http://svn.apache.org/repos/ asf/struts/struts1/trunk). But
>> 1.4.0-SNAPSHOT is not available in mvn store anymore. So I'm looking for a
>> ready built struts-tiles2-1.4.0-SNAPSHOT. jar. Can anyone help me? This is
>> very much needed.
>> Thank youVenugopalan
>
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Antonio Petrelli-3
2017-03-14 10:13 GMT+01:00 Mi B <[hidden email]>:

> I got the "struts-core-1.3.8.jar" at least. I could look for
> "struts-extras-1.3.8.jar", "struts-taglib-1.3.8.jar" and
> "struts-tiles-1.3.8.jar" but it’s on a disk I haven’t seen in a while. It
> could be a dead one.
>

Struts have been officially released until 1.3.10 version, you can check
them here:
http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.apache.struts%22%20AND%20a%3A%22struts-core%22
Again, the problem is the 1.4.x branch, that never saw the light. Only in
this branch the "tiles2" module has been created, you will never find
anywhere else. You have no choice but to build Struts 1.4.0-SNAPSHOT
yourself.

Antonio
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

MB-22

> 14 mars 2017 kl. 10:17 skrev Antonio Petrelli <[hidden email]>:
>
> 2017-03-14 10:13 GMT+01:00 Mi B <[hidden email]>:
>
>> I got the "struts-core-1.3.8.jar" at least. I could look for
>> "struts-extras-1.3.8.jar", "struts-taglib-1.3.8.jar" and
>> "struts-tiles-1.3.8.jar" but it’s on a disk I haven’t seen in a while. It
>> could be a dead one.
>>
>
> Struts have been officially released until 1.3.10 version, you can check
> them here:
> http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.apache.struts%22%20AND%20a%3A%22struts-core%22
> Again, the problem is the 1.4.x branch, that never saw the light. Only in
> this branch the "tiles2" module has been created, you will never find
> anywhere else. You have no choice but to build Struts 1.4.0-SNAPSHOT
> yourself.
>
> Antonio


Ahh, OK.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Venu Gopalan
In reply to this post by Antonio Petrelli-3
Antonio / Mi B,
Thank you for your time again. I'm trying to my level best to build the 1.4.0 SNAPSHOT. Currently what happens is the POM itself is not getting needed libs from mvn repo. Still am trying. It have a parent- child POM set up.If any one of you have any setup to build the same? I know asking this way doesn't sound well, but my urgency is pushing me for the same. If that jar can be built, it would be a lottery for may people who work with govt projects where old technologies are still in place.http://svn.apache.org/repos/asf/struts/struts1/trunk OR apache/struts1
Venu
 

    On Tuesday, 14 March 2017 4:35 AM, Antonio Petrelli <[hidden email]> wrote:
 

 Did you try to build the *whole* Struts 1.4.0-SNAPSHOT trunk?
I remember that it worked at the time.

Antonio

2017-03-13 18:56 GMT+01:00 Venu Gopalan <[hidden email]>:

> Thank you Antonio. Thank you for your time and feedback. I've tried to get
> the trunk code, but me and my group is unable to build it due to library
> issues(not available). In one forum i found that the struts-tiles2-1.4.0-SNAPSHOT.jar is
> present in the link  http://people.apache.org/~pbenedict/struts-osgi/
> org/apache/struts/struts-tiles2/1.4.0-SNAPSHOT/ location, but it give a
> not found error ! Will the jar be available with any of the users or
> developers? I had sent some requests to some of the people who solved their
> issues with this jar as well. But you know all these happened 5 or 10 years
> ago ! :)
> Venu
>
>    On Monday, 13 March 2017 1:00 PM, Antonio Petrelli <
> [hidden email]> wrote:
>
>
>  Hello Venu
> The JARs probably are lost forever, however the best points to start could
> be:
> 1. The trunk of the Struts 1.4 project:
> https://github.com/apache/struts1/tree/trunk
> WARNING! It was never released, so it may bite.
> In this project you can find the Tiles 2 (2.0.5 AFAIK) integration source
> code:
> https://github.com/apache/struts1/tree/trunk/tiles2
> If you are not using the snapshot of Struts 1.4, however, most probably it
> won't compile using, for example, Struts 1.3, but give it a try.
>
> 2. An interesting project could be this:
> https://github.com/kawasima/struts1-forever
>
> They apply security fixes to Struts 1 even if it is unsupported officially.
> The "trunk" branch contains the 1.4 snapshot, however I don't know if it is
> maintained, you should ask.
>
> This is the best that I can do.
>
> HTH
> Antonio
>
> 2017-03-13 15:29 GMT+01:00 Venu Gopalan <[hidden email]>:
>
> > Hello,
> > Very urgent !!
> > This is regarding a project upgrade where I need to stick with Struts 1
> > and I need Tiles 2 as the Spring framework is getting upgraded.
> > if you have already built the struts-tiles2-1.4.0-SNAPSHOT. jar can you
> > pls send the same to me? I also have a very different upgrade here. I
> need
> > to upgrade a project to Spring 4.1.x, Hibernate 4.3.x quartz2.2. the
> > project use struts 1.in the upgrade specification, they are not
> > mentioning anything about Struts upgrade. As we use tiles 1, its all a
> > mess.
> > As we use the spring 4.1, now, we will need to upgrade the tiles1 to
> > tiles2. I tried to checkout the SNAPSHOT project from apache svn (
> > http://svn.apache.org/repos/ asf/struts/struts1/trunk). But
> > 1.4.0-SNAPSHOT is not available in mvn store anymore. So I'm looking for
> a
> > ready built struts-tiles2-1.4.0-SNAPSHOT. jar. Can anyone help me? This
> is
> > very much needed.
> > Thank youVenugopalan
>
>
>
>


   
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Torsten Krah
Am Dienstag, den 14.03.2017, 14:21 +0000 schrieb Venu Gopalan:

> Antonio / Mi B,
> Thank you for your time again. I'm trying to my level best to build
> the 1.4.0 SNAPSHOT. Currently what happens is the POM itself is not
> getting needed libs from mvn repo. Still am trying. It have a parent-
> child POM set up.If any one of you have any setup to build the same? I
> know asking this way doesn't sound well, but my urgency is pushing me
> for the same. If that jar can be built, it would be a lottery for may
> people who work with govt projects where old technologies are still in
> place.http://svn.apache.org/repos/asf/struts/struts1/trunk OR apache/struts1
> Venu
>  

Hi,

what's your problem?

I did a clean checkout and did a (JDK7):

mvn clean install -DskipTests

and all build fine.

./tiles/target/struts-tiles-1.4.0-SNAPSHOT.jar

Where is it failing for you?

Cheers

Torsten


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Torsten Krah
Am Dienstag, den 14.03.2017, 15:29 +0100 schrieb Torsten Krah:
> ./tiles/target/struts-tiles-1.4.0-SNAPSHOT.jar

./tiles2/target/struts-tiles2-1.4.0-SNAPSHOT.jar

did also build fine ;)


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Torsten Krah
In reply to this post by Venu Gopalan
Am Dienstag, den 14.03.2017, 14:21 +0000 schrieb Venu Gopalan:
> If that jar can be built, it would be a lottery for may people who
> work with govt projects where old technologies are still in
> place.http://svn.apache.org/repos/asf/struts/struts1/trunk OR apache/struts1

Just in case you are unable to build it, i did build it and put it here:

https://drive.google.com/file/d/0B_MNsWVEHuYbQXR5eHdzaW9VZEE/view?usp=sharing

kind regards

Torsten

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Venu Gopalan
Thank you Torsten, Thank you very much. My problem was the POM was unable to pull libs... Anyways, Thank you very much. I'll try to implement this and update. 
Much appreciated.
Venu

 

    On Tuesday, 14 March 2017 10:39 AM, Torsten Krah <[hidden email]> wrote:
 

 Am Dienstag, den 14.03.2017, 14:21 +0000 schrieb Venu Gopalan:
> If that jar can be built, it would be a lottery for may people who
> work with govt projects where old technologies are still in
> place.http://svn.apache.org/repos/asf/struts/struts1/trunk OR apache/struts1

Just in case you are unable to build it, i did build it and put it here:

https://drive.google.com/file/d/0B_MNsWVEHuYbQXR5eHdzaW9VZEE/view?usp=sharing

kind regards

Torsten



   
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: struts-tiles2-1.4.0-SNAPSHOT.jar

Torsten Krah
Am Dienstag, den 14.03.2017, 14:51 +0000 schrieb Venu Gopalan:
> Thank you Torsten, Thank you very much. My problem was the POM was
> unable to pull libs... Anyways, Thank you very much. I'll try to
> implement this and update.
>
>
> Much appreciated.
>
>
> Venu

Your welcome.
But imho it would be a good idea to get the build running for yourself
too - in case you need to tweak or fix that dated code you may need to
recompile stuff - so its not a bad idea at all ;).

Torsten

Loading...